I have created an entity "AnsaugDKanteDSAussen " in 3d model of a part.
Dim Blatt_1 = ThisDrawing.Sheets.ItemByName("Blatt:1")
Dim ANSICHT23 = Blatt_1.DrawingViews.ItemByName("ANSICHT23")
Dim AnsaugDKanteDSAussen = ANSICHT23.GetIntent("AnsaugDKanteDSAussen")
In the picture below you can see this curve in the drawing view.
How can i hide this curve by iLogic?
Solved! Go to Solution.
Solved by Ralf_Krieg. Go to Solution.
Once you found the curve (segment) you can set its visibility. You need to do this on the 'drawingCurveSegment' and not the 'DrawingCurve'
Dim activeSheet As Sheet
activeSheet = ThisApplication.ActiveDocument.activeSheet
Dim crv As DrawingCurveSegment
crv = ThisApplication.CommandManager.Pick(kDrawingCurveSegmentFilter, "pick curve")
crv.Visible = False
Thank you for a reply.
In your solution i have to pick the curve, that i want to hide, MANUALLY.
How can i do it without manual picking, but by assigning my entity "AnsaugDKanteDSAussen" to this "DrawingCurveSegment"?
I know, this was just an example. You need to retrieve the drawing curve from that intent, and then hide the segments that compose this curve.
I am sorry but i dont understand how should i do that.
My Intent is:
Dim AnsaugDKanteDSAussen = Deckscheibe.GetIntent("AnsaugDKanteDSAussen")
how can i retrieve the curve from the Intent "AnsaugDKanteDSAussen"?
Hello
Dim Blatt_1 = ThisDrawing.Sheets.ItemByName("Blatt:1")
Dim ANSICHT23 = Blatt_1.DrawingViews.ItemByName("ANSICHT23")
Dim AnsaugDKanteDSAussen = ANSICHT23.GetIntent("AnsaugDKanteDSAussen")
Dim oDrawCurve As DrawingCurve = TryCast(AnsaugDKanteDSAussen.Geometry, DrawingCurve)
If oDrawCurve IsNot Nothing Then
Dim oDrawCurveSegment As DrawingCurveSegment
For Each oDrawCurveSegment In oDrawCurve.Segments
oDrawCurveSegment.Visible = False
Next
End If
Can't find what you're looking for? Ask the community or share your knowledge.